/**
 * @file RDT Plugin - Implementation
 * @module vite-plugin-react-docgen-typescript/plugin
 */
import type Options from './options';
import type PluginReactDocgenTypeScript from './plugin-type';
/**
 * Creates a `react-docgen-typescript` plugin.
 *
 * @see https://github.com/styleguidist/react-docgen-typescript
 * @see https://vitejs.dev/guide/api-plugin.html
 *
 * @param {Options} [options] - Plugin options
 * @return {PluginReactDocgenTypeScript} Vite `react-docgen-typescript` plugin
 */
declare const plugin: ({ apply, componentNameResolver, customComponentTypes, enforce, exclude, handler, include, propFilter, savePropValueAsString, shouldExtractLiteralValuesFromEnum, shouldExtractValuesFromUnion, shouldIncludeExpression, shouldIncludePropTagMap, shouldRemoveUndefinedFromOptional, skipChildrenPropWithoutDoc, sourcemap, tsconfig }?: Options) => PluginReactDocgenTypeScript;
export default plugin;
